EAPI EAPI_WEAK const Efl_Event_Description _EFL_UI_DATEPICKER_EVENT_DATE_CHANGED =
   EFL_EVENT_DESCRIPTION("date,changed");

void _efl_ui_datepicker_date_min_set(Eo *obj, Efl_Ui_Datepicker_Data *pd, int year, int month, int day);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_datepicker_date_min_set, EFL_FUNC_CALL(year, month, day), int year, int month, int day);

void _efl_ui_datepicker_date_min_get(const Eo *obj, Efl_Ui_Datepicker_Data *pd, int *year, int *month, int *day);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_ui_datepicker_date_min_get, EFL_FUNC_CALL(year, month, day), int *year, int *month, int *day);

void _efl_ui_datepicker_date_max_set(Eo *obj, Efl_Ui_Datepicker_Data *pd, int year, int month, int day);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_datepicker_date_max_set, EFL_FUNC_CALL(year, month, day), int year, int month, int day);

void _efl_ui_datepicker_date_max_get(const Eo *obj, Efl_Ui_Datepicker_Data *pd, int *year, int *month, int *day);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_ui_datepicker_date_max_get, EFL_FUNC_CALL(year, month, day), int *year, int *month, int *day);

void _efl_ui_datepicker_date_set(Eo *obj, Efl_Ui_Datepicker_Data *pd, int year, int month, int day);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_datepicker_date_set, EFL_FUNC_CALL(year, month, day), int year, int month, int day);

void _efl_ui_datepicker_date_get(const Eo *obj, Efl_Ui_Datepicker_Data *pd, int *year, int *month, int *day);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV_CONST(efl_ui_datepicker_date_get, EFL_FUNC_CALL(year, month, day), int *year, int *month, int *day);

Efl_Object *_efl_ui_datepicker_efl_object_constructor(Eo *obj, Efl_Ui_Datepicker_Data *pd);


void _efl_ui_datepicker_efl_object_destructor(Eo *obj, Efl_Ui_Datepicker_Data *pd);


static Eina_Bool
_efl_ui_datepicker_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_DATEPICKER_EXTRA_OPS
#define EFL_UI_DATEPICKER_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_datepicker_date_min_set, _efl_ui_datepicker_date_min_set),
      EFL_OBJECT_OP_FUNC(efl_ui_datepicker_date_min_get, _efl_ui_datepicker_date_min_get),
      EFL_OBJECT_OP_FUNC(efl_ui_datepicker_date_max_set, _efl_ui_datepicker_date_max_set),
      EFL_OBJECT_OP_FUNC(efl_ui_datepicker_date_max_get, _efl_ui_datepicker_date_max_get),
      EFL_OBJECT_OP_FUNC(efl_ui_datepicker_date_set, _efl_ui_datepicker_date_set),
      EFL_OBJECT_OP_FUNC(efl_ui_datepicker_date_get, _efl_ui_datepicker_date_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_datepicker_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_datepicker_efl_object_destructor),
      EFL_UI_DATEPICKER_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_datepicker_class_desc = {
   EO_VERSION,
   "Efl.Ui.Datepicker",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Datepicker_Data),
   _efl_ui_datepicker_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_datepicker_class_get, &_efl_ui_datepicker_class_desc, EFL_UI_LAYOUT_BASE_CLASS, NULL);
